Skip to main content
PATCH
/
public
/
v1
/
assets
/
asset
/
{asset-id}
Update Asset
curl --request PATCH \
  --url https://api.topsort.com/public/v1/assets/asset/{asset-id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "productIds": [
    "<string>"
  ],
  "brands": [
    "<string>"
  ],
  "collectionIds": [
    "<string>"
  ],
  "metadata": {}
}
'
import requests

url = "https://api.topsort.com/public/v1/assets/asset/{asset-id}"

payload = {
"name": "<string>",
"productIds": ["<string>"],
"brands": ["<string>"],
"collectionIds": ["<string>"],
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
productIds: ['<string>'],
brands: ['<string>'],
collectionIds: ['<string>'],
metadata: {}
})
};

fetch('https://api.topsort.com/public/v1/assets/asset/{asset-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "productIds": [
    "<string>"
  ],
  "brands": [
    "<string>"
  ],
  "metadata": {},
  "isExternal": true,
  "collections": [
    "<string>"
  ],
  "mimetype": "<string>",
  "url": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Path Parameters

asset-id
string
required

Asset ID.

Body

application/json
name
string | null

The name of the asset.

Maximum string length: 64
Pattern: ^[^<>/\\]+$
productIds
string[] | null

The product ids that the asset is associated with.

Maximum array length: 10
Maximum string length: 64
brands
string[] | null

The brands that the asset is associated with.

Maximum array length: 10
Maximum string length: 64
collectionIds
string[] | null

The collections that the asset is associated with.

Maximum array length: 10
Maximum string length: 38
metadata
Metadata · object | null

The metadata associated with the asset.

Response

Successful Response

id
string
required

The id of the asset.

name
string
required

The name of the asset.

status
enum<string>
required

Approval status of the asset

Available options:
pending_upload,
pending_approval,
upload_error,
approved,
rejected
productIds
string[]
required

The product ids that the asset is associated with.

brands
string[]
required

The brands that the asset is associated with.

metadata
Metadata · object
required

The metadata associated with the asset.

isExternal
boolean
required

Indicates if the asset is externally hosted.

collections
string[]
required

The collections that the asset is associated with.

mimetype
string | null

The mimetype of the asset.

url
string<uri> | null

The url of the asset.

Required string length: 1 - 2083